package net.avicus.api.events;

import net.avicus.api.utils.Gamer;

import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class GamerJoinEvent extends Event
{
	private static final HandlerList handlers = new HandlerList();
	private Gamer gamer = null;

	public GamerJoinEvent(Player player)
	{
		this.gamer = Gamer.get((CommandSender)player);
	}

	public Gamer getGamer()
	{
		return this.gamer;
	}

	public HandlerList getHandlers()
	{
		return handlers;
	}

	public static HandlerList getHandlerList()
	{
		return handlers;
	}
}
