package net.avicus.api.utils;

import net.avicus.leap.api.ParticleEffect;

import org.bukkit.Location;

public class ParticleUtil
{
	public static ParticleUtil EXPLODE = new ParticleUtil(ParticleEffect.EXPLODE);
	public static ParticleUtil LAVA = new ParticleUtil(ParticleEffect.LAVA);
	public static ParticleUtil HUGE_EXPLOSION = new ParticleUtil(ParticleEffect.HUGE_EXPLOSION);
	public static ParticleUtil FLAME = new ParticleUtil(ParticleEffect.FLAME);
	public static ParticleUtil HEART = new ParticleUtil(ParticleEffect.HEART);
	public static ParticleUtil PORTAL = new ParticleUtil(ParticleEffect.PORTAL);
	public static ParticleUtil MOB_SPELL = new ParticleUtil(ParticleEffect.MOB_SPELL);
	public static ParticleUtil ENCHANTMENT_TABLE = new ParticleUtil(ParticleEffect.ENCHANTMENT_TABLE);
	public static ParticleUtil SLIME = new ParticleUtil(ParticleEffect.SLIME);
	public static ParticleUtil TOWN_AURA = new ParticleUtil(ParticleEffect.TOWN_AURA);

	private ParticleEffect effect;

	private ParticleUtil(ParticleEffect e)
	{
		this.effect = e;
	}

	public void animateAtLocation(Location l, int count, float speed)
	{
		effect.animateAtLocation(l, count, speed);
	}
}
