package net.avicus.api.events;

import net.minecraft.util.org.apache.commons.lang3.Validate;

import org.bukkit.plugin.java.JavaPlugin;
import org.bukkit.scheduler.BukkitTask;

public class Schedule implements Runnable
{
	private static JavaPlugin a = null;
	private BukkitTask task = null;
	private int tasknum = -1;

	public static void Init(JavaPlugin p)
	{
		Validate.notNull(p);
		Schedule.a = p;
	}

	public void laterAsync(int time)
	{
		this.task = Schedule.a.getServer().getScheduler().runTaskLaterAsynchronously(Schedule.a, this, (long)time);
	}

	public void repeat(int times, int repeat)
	{
		this.tasknum = Schedule.a.getServer().getScheduler().scheduleSyncRepeatingTask(Schedule.a, this, (long)times, (long)repeat);
	}

	public void cancel()
	{
		if (this.tasknum != -1)
		{
			Schedule.a.getServer().getScheduler().cancelTask(this.tasknum);
		}

		try {
			this.task.cancel();
		} catch (Exception ex) { // Null Pointer will be thrown if task is null (checking would take valuable clock cycles)
			return;
		}
	}

	public void run() {}
}
