package net.avicus.api.utils;

import java.util.ArrayList;

import org.bukkit.Bukkit;
import org.bukkit.permissions.Permission;

public class Permissible
{
	private static ArrayList<String> perms = new ArrayList<String>();
	private String permission = null;

	public String getNode()
	{
		return "";
	}

	public boolean hasPermission(Gamer gamer)
	{
		if (this.permission == null) this.permission = this.getNode();
		if (!perms.contains(this.permission)) this.registerPermission();
		return gamer.hasPermission(this.permission);
	}

	public void registerPermission()
	{
		Chat.log(java.util.logging.Level.INFO, "Registering permission ", this.permission);
		Permissible.perms.add(this.permission);
		Permission p = new Permission(this.permission);
		Bukkit.getServer().getPluginManager().addPermission(p);
	}
}
